package com.miaxis.app.user.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 用户信息对象 user_info
 *
 * @author miaxis
 * @date 2020-12-23
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户信息对象 user_info")
public class UserInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    @TableField("name")
    @ApiModelProperty(value = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    @TableField("sex")
    @ApiModelProperty(value = "性别")
    private Long sex;

    /** 身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等 */
    @Excel(name = "身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等")
    @TableField("sfzmlx")
    @ApiModelProperty(value = "身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等")
    private Long sfzmlx;

    /** 身份证明号码 */
    @Excel(name = "身份证明号码")
    @TableField("sfzmhm")
    @ApiModelProperty(value = "身份证明号码")
    private String sfzmhm;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("crdate")
    @ApiModelProperty(value = "注册日期")
    private Date crdate;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("birthday")
    @ApiModelProperty(value = "出生日期")
    private Date birthday;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("mobile")
    @ApiModelProperty(value = "手机号码")
    private String mobile;

    /** 登录密码 MD5加密 */
    @Excel(name = "登录密码 MD5加密")
    @TableField("password")
    @ApiModelProperty(value = "登录密码 MD5加密")
    private String password;

    /** 微信号码 */
    @Excel(name = "微信号码")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号码")
    private String wechar;

    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 驾校全国统一编号 */
    @Excel(name = "驾校全国统一编号")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 培训车型 */
    @Excel(name = "培训车型")
    @TableField("pxcx")
    @ApiModelProperty(value = "培训车型")
    private String pxcx;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setSex(Long sex){
        this.sex = sex;
    }

    public Long getSex(){
        return sex;
    }
    public void setSfzmlx(Long sfzmlx){
        this.sfzmlx = sfzmlx;
    }

    public Long getSfzmlx(){
        return sfzmlx;
    }
    public void setSfzmhm(String sfzmhm){
        this.sfzmhm = sfzmhm;
    }

    public String getSfzmhm(){
        return sfzmhm;
    }
    public void setCrdate(Date crdate){
        this.crdate = crdate;
    }

    public Date getCrdate(){
        return crdate;
    }
    public void setBirthday(Date birthday){
        this.birthday = birthday;
    }

    public Date getBirthday(){
        return birthday;
    }
    public void setMobile(String mobile){
        this.mobile = mobile;
    }

    public String getMobile(){
        return mobile;
    }
    public void setPassword(String password){
        this.password = password;
    }

    public String getPassword(){
        return password;
    }
    public void setWechar(String wechar){
        this.wechar = wechar;
    }

    public String getWechar(){
        return wechar;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setInscode(String inscode){
        this.inscode = inscode;
    }

    public String getInscode(){
        return inscode;
    }
    public void setPxcx(String pxcx){
        this.pxcx = pxcx;
    }

    public String getPxcx(){
        return pxcx;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("sex", getSex())
            .append("sfzmlx", getSfzmlx())
            .append("sfzmhm", getSfzmhm())
            .append("crdate", getCrdate())
            .append("birthday", getBirthday())
            .append("mobile", getMobile())
            .append("password", getPassword())
            .append("wechar", getWechar())
            .append("openid", getOpenid())
            .append("inscode", getInscode())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("pxcx", getPxcx())
            .toString();
    }
}
