package com.miaxis.app.user.service;

import java.util.List;
import com.miaxis.app.user.domain.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.SysUser;

/**
 * 用户信息Service接口
 * 
 * @author miaxis
 * @date 2020-12-23
 */
public interface IUserInfoService extends IService<UserInfo>{
    /**
     * 查询用户信息
     * 
     * @param id 用户信息ID
     * @return 用户信息
     */
    public UserInfo selectUserInfoById(Long id);

    /**
     * 查询用户信息列表
     * 
     * @param userInfo 用户信息
     * @return 用户信息集合
     */
    public List<UserInfo> selectUserInfoList(UserInfo userInfo);

    /**
     * 新增用户信息
     * 
     * @param userInfo 用户信息
     * @return 结果
     */
    public int insertUserInfo(UserInfo userInfo);

    /**
     * 修改用户信息
     * 
     * @param userInfo 用户信息
     * @return 结果
     */
    public int updateUserInfo(UserInfo userInfo);

    /**
     * 批量删除用户信息
     * 
     * @param ids 需要删除的用户信息ID
     * @return 结果
     */
    public int deleteUserInfoByIds(Long[] ids);

    /**
     * 删除用户信息信息
     * 
     * @param id 用户信息ID
     * @return 结果
     */
    public int deleteUserInfoById(Long id);

    /**
     * 修改手机号
     * @param phone
     * @param verificationCode
     * @return
     */
    Response modifyPhoneNumber(String phone, String verificationCode,SysUser user);

}
