package com.miaxis.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 * 驾校训练场对象 school_region
 *
 * @author miaxis
 * @date 2020-12-23
 */
@Data
@TableName("school_region")
@ApiModel(value = "SchoolRegion", description = "驾校训练场对象 school_region")
public class SchoolRegion extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 运政ID */
    @Excel(name = "运政ID")
    @TableField("school_id")
    @ApiModelProperty(value = "运政ID")
    private String schoolId;

    /** 驾校全国统一编号 */
    @Excel(name = "驾校全国统一编号")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 教学区域编号 计时平台顺序编号 */
    @Excel(name = "教学区域编号 计时平台顺序编号")
    @TableField("seq")
    @ApiModelProperty(value = "教学区域编号 计时平台顺序编号")
    private String seq;

    /** 教学区域名称 */
    @Excel(name = "教学区域名称")
    @TableField("name")
    @ApiModelProperty(value = "教学区域名称")
    private String name;

    /** 教学区域地址 */
    @Excel(name = "教学区域地址")
    @TableField("address")
    @ApiModelProperty(value = "教学区域地址")
    private String address;

    /** 教学区域面积 */
    @Excel(name = "教学区域面积")
    @TableField("area")
    @ApiModelProperty(value = "教学区域面积")
    private Long area;

    /** 教学区域类型 1：第二部分；2：第三部分 */
    @Excel(name = "教学区域类型 1：第二部分；2：第三部分")
    @TableField("type")
    @ApiModelProperty(value = "教学区域类型 1：第二部分；2：第三部分")
    private Long type;

    /** 培训车型 */
    @Excel(name = "培训车型")
    @TableField("vehicletype")
    @ApiModelProperty(value = "培训车型")
    private String vehicletype;

    /** 电子围栏 */
    @Excel(name = "电子围栏")
    @TableField("polygon")
    @ApiModelProperty(value = "电子围栏")
    private String polygon;

    /** 可容纳车辆数 */
    @Excel(name = "可容纳车辆数")
    @TableField("totalvehnum")
    @ApiModelProperty(value = "可容纳车辆数")
    private Long totalvehnum;

    /** 已投放车辆数 */
    @Excel(name = "已投放车辆数")
    @TableField("curvehnum")
    @ApiModelProperty(value = "已投放车辆数")
    private Long curvehnum;

    /** 备案状态： 0：未备案 1：已备案 */
    @Excel(name = "备案状态： 0：未备案 1：已备案")
    @TableField("status")
    @ApiModelProperty(value = "备案状态： 0：未备案 1：已备案")
    private Long status;

    /** 审核状态： 0：待审核 1：同意启用 2：不同意启用 */
    @Excel(name = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    @TableField("crdate")
    @ApiModelProperty(value = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    private Long crdate;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("flag")
    @ApiModelProperty(value = "审核时间")
    private Date flag;

    /** 区县编号 */
    @Excel(name = "区县编号")
    @TableField("area_code")
    @ApiModelProperty(value = "区县编号")
    private String areaCode;

}
