package com.miaxis.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.system.domain.NewsInfo;

/**
 * 新闻(首页资讯、通知、公告相关)Mapper接口
 *
 * @author miaxis
 * @date 2020-12-22
 */
public interface NewsInfoMapper extends BaseMapper<NewsInfo> {
    /**
     * 查询新闻(首页资讯、通知、公告相关)
     *
     * @param id 新闻(首页资讯、通知、公告相关)ID
     * @return 新闻(首页资讯、通知、公告相关)
     */
    public NewsInfo selectNewsInfoById(Long id);

    /**
     * 查询新闻(首页资讯、通知、公告相关)列表
     *
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 新闻(首页资讯、通知、公告相关)集合
     */
    public List<NewsInfo> selectNewsInfoList(NewsInfo newsInfo);

    /**
     * 新增新闻(首页资讯、通知、公告相关)
     *
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 结果
     */
    public int insertNewsInfo(NewsInfo newsInfo);

    /**
     * 修改新闻(首页资讯、通知、公告相关)
     *
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 结果
     */
    public int updateNewsInfo(NewsInfo newsInfo);

    /**
     * 删除新闻(首页资讯、通知、公告相关)
     *
     * @param id 新闻(首页资讯、通知、公告相关)ID
     * @return 结果
     */
    public int deleteNewsInfoById(Long id);

    /**
     * 批量删除新闻(首页资讯、通知、公告相关)
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteNewsInfoByIds(Long[] ids);
}
