package com.miaxis.system.service;

import java.util.List;
import com.miaxis.system.domain.NewsInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 新闻(首页资讯、通知、公告相关)Service接口
 * 
 * @author miaxis
 * @date 2020-12-22
 */
public interface INewsInfoService extends IService<NewsInfo>{
    /**
     * 查询新闻(首页资讯、通知、公告相关)
     * 
     * @param id 新闻(首页资讯、通知、公告相关)ID
     * @return 新闻(首页资讯、通知、公告相关)
     */
    public NewsInfo selectNewsInfoById(Long id);

    /**
     * 查询新闻(首页资讯、通知、公告相关)列表
     * 
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 新闻(首页资讯、通知、公告相关)集合
     */
    public List<NewsInfo> selectNewsInfoList(NewsInfo newsInfo);

    /**
     * 新增新闻(首页资讯、通知、公告相关)
     * 
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 结果
     */
    public int insertNewsInfo(NewsInfo newsInfo);

    /**
     * 修改新闻(首页资讯、通知、公告相关)
     * 
     * @param newsInfo 新闻(首页资讯、通知、公告相关)
     * @return 结果
     */
    public int updateNewsInfo(NewsInfo newsInfo);

    /**
     * 批量删除新闻(首页资讯、通知、公告相关)
     * 
     * @param ids 需要删除的新闻(首页资讯、通知、公告相关)ID
     * @return 结果
     */
    public int deleteNewsInfoByIds(Long[] ids);

    /**
     * 删除新闻(首页资讯、通知、公告相关)信息
     * 
     * @param id 新闻(首页资讯、通知、公告相关)ID
     * @return 结果
     */
    public int deleteNewsInfoById(Long id);
}
